org.apache.lucene.analysis.cn.smart

## Class AnalyzerProfile

- java.lang.Object
- - org.apache.lucene.analysis.cn.smart.AnalyzerProfile

-     public class AnalyzerProfile
      extends java.lang.Object

  Manages analysis data configuration for SmartChineseAnalyzer

  SmartChineseAnalyzer has a built-in dictionary and stopword list out-of-box.

  WARNING: The status of the analyzers/smartcn analysis.cn.smart package is experimental. The APIs and file formats introduced here might change in the future and will not be supported anymore in such a case.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANALYSIS_DATA_DIR` Global indicating the configured analysis data directory

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzerProfile()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANALYSIS_DATA_DIR

          public static java.lang.String ANALYSIS_DATA_DIR

      Global indicating the configured analysis data directory

  - ### Constructor Detail

    - #### AnalyzerProfile

          public AnalyzerProfile()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.